searchNodes=[{"doc":"ExLiveUrl is just some simple Phoenix LiveView lifecycle hooks and helper functions. It helps you store the live view's current query params and path in your assigns. Additionally, it exposes ways to work with those values both synchronously (only from the root live view) and asynchronously (from anywhere). Installation You can install ExLiveUrl like so: defp deps do [ { :ex_live_url , &quot;~&gt; 0.2.0&quot; } ] end To use ExLiveUrl you will need to call Phoenix.LiveView.on_mount/1 with the module, ExLiveUrl in your live view. For example: defmodule YourLiveView do use Phoenix.LiveView on_mount ExLiveUrl # your live view implementation end","ref":"ExLiveUrl.html","title":"ExLiveUrl","type":"module"},{"doc":"Asynchronously annotates the socket for navigation to another LiveView. Whenever this operation is eventually executed it calls Phoenix.LiveView.push_navigate/2 internally. Options :to - a function which takes the current ExLiveUrl.Url and must return either a new ExLiveUrl.Url or a relative url string. :replace - the flag to replace the current history or push a new state. Defaults false. Examples ExLiveUrl . push_navigate ( to : fn url -&gt; % ExLiveUrl.Url { url | path : ExLiveUrl.Path . new ( &quot;/&quot; ) } end ) ExLiveUrl . push_navigate ( to : fn _url -&gt; &quot;/&quot; } end ) ExLiveUrl . push_navigate ( to : fn url -&gt; % ExLiveUrl.Url { url | path : ExLiveUrl.Path . new ( &quot;/&quot; ) } end , replace : true )","ref":"ExLiveUrl.html#push_navigate/2","title":"ExLiveUrl.push_navigate/2","type":"function"},{"doc":"Asynchronously annotates the socket for navigation within the current LiveView. Whenever this operation is eventually executed it calls Phoenix.LiveView.push_navigate/2 internally. Options :to - a function which takes the current ExLiveUrl.Url and must return either a new ExLiveUrl.Url or a relative url string. :replace - the flag to replace the current history or push a new state. Defaults false. Examples ExLiveUrl . push_patch ( to : fn url -&gt; % ExLiveUrl.Url { url | path : ExLiveUrl.Path . new ( &quot;/&quot; ) } end ) ExLiveUrl . push_patch ( to : fn _url -&gt; &quot;/&quot; } end ) ExLiveUrl . push_patch ( to : fn url -&gt; % ExLiveUrl.Url { url | path : ExLiveUrl.Path . new ( &quot;/&quot; ) } end , replace : true )","ref":"ExLiveUrl.html#push_patch/2","title":"ExLiveUrl.push_patch/2","type":"function"},{"doc":"Asynchronously annotates the socket for redirect to a destination path. Whenever this operation is eventually executed it calls Phoenix.LiveView.redirect/2 internally. Note: LiveView redirects rely on instructing client to perform a window.location update on the provided redirect location. The whole page will be reloaded and all state will be discarded. Options :to - a function which takes the current ExLiveUrl.Url and must return either a new ExLiveUrl.Url or a relative url string. It must always be a local path. :external - a function which takes the current ExLiveUrl.Url and must return either a new ExLiveUrl.Url or a fully qualified url string. Examples ExLiveUrl . redirect ( to : fn url -&gt; % ExLiveUrl.Url { url | path : ExLiveUrl.Path . new ( &quot;/&quot; ) } end ) ExLiveUrl . redirect ( to : fn _url -&gt; &quot;/&quot; } end ) ExLiveUrl . redirect ( external : fn _url -&gt; &quot;https://google.com&quot; } end )","ref":"ExLiveUrl.html#redirect/2","title":"ExLiveUrl.redirect/2","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Params.html","title":"ExLiveUrl.Params","type":"module"},{"doc":"TODO","ref":"ExLiveUrl.Params.html#entries/1","title":"ExLiveUrl.Params.entries/1","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Params.html#new/1","title":"ExLiveUrl.Params.new/1","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Params.html#update_entries/2","title":"ExLiveUrl.Params.update_entries/2","type":"function"},{"doc":"","ref":"ExLiveUrl.Params.html#t:t/0","title":"ExLiveUrl.Params.t/0","type":"opaque"},{"doc":"TODO","ref":"ExLiveUrl.Path.html","title":"ExLiveUrl.Path","type":"module"},{"doc":"TODO","ref":"ExLiveUrl.Path.html#new/1","title":"ExLiveUrl.Path.new/1","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Path.html#segments/1","title":"ExLiveUrl.Path.segments/1","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Path.html#update_segments/2","title":"ExLiveUrl.Path.update_segments/2","type":"function"},{"doc":"","ref":"ExLiveUrl.Path.html#t:t/0","title":"ExLiveUrl.Path.t/0","type":"opaque"},{"doc":"TODO","ref":"ExLiveUrl.Url.html","title":"ExLiveUrl.Url","type":"module"},{"doc":"TODO","ref":"ExLiveUrl.Url.html#new/1","title":"ExLiveUrl.Url.new/1","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Url.html#new/2","title":"ExLiveUrl.Url.new/2","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Url.html#to_absolute_target/1","title":"ExLiveUrl.Url.to_absolute_target/1","type":"function"},{"doc":"TODO","ref":"ExLiveUrl.Url.html#to_relative_target/1","title":"ExLiveUrl.Url.to_relative_target/1","type":"function"},{"doc":"","ref":"ExLiveUrl.Url.html#t:t/0","title":"ExLiveUrl.Url.t/0","type":"type"}]